# This demonstrates a very simple example of trapping a ValueError exception
# This will occur if someone inputs a string that cannot be converted to a
# floating point value. When the float() method is called a ValueError exception
# will occur. The execution will then jump straight down to the line:
# 	except ValueError:

taxrate = 0.175
inp = raw_input( "Enter price (ex tax): " )
try:
    subtotal = float(inp)
    if (subtotal < 0.0):
        subtotal = 0.0
    tax = subtotal * taxrate
    print "Tax on $%.2f is $%.2f, so grand total is $%.2f" % (subtotal, tax, subtotal + tax)
except ValueError:
    print "Error, %s is not a floating point number" % (inp)